{% load static %}
<!--Made with love by Mutiullah Samim -->

<!DOCTYPE html>

<head>
  <title>{{title}}</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
  <script src="{% static 'plugins/jquery/jquery-3.3.1.min.js' %}"></script>
  <script src="{% static 'plugins/bootstrap/4.1.3/js/bootstrap.min.js' %}"></script>
  <link href="{% static 'plugins/bootstrap/4.1.3/css/bootstrap.min.css' %}" rel="stylesheet" id="bootstrap-css">
  
  <!--Custom styles-->
  <link rel="stylesheet" type="text/css" href="{% static 'css/style_bandaancha.css' %}">
  <!-- 3.2.1 -->
</head>

<body>
  <div class="container">
    <div class="row align-items-center h-100">
      <div class="col"> </div>
      <div class="col-7">
        <!-- <div class="container" id="ingresar-form-info"> -->
        <div id="ingresar-form-info">
          <div class="d-flex justify-content-center h-100">
            <div class="card" id="rut-card" style="height: 400px;">
              <div class="card-header">
                <h1>RUT</h1>
              </div>
              <div class="card-body">
                <form id="ingresar-form">
                  <label id="rut-label" class="control-label">
                  Ingrese su RUT sin puntos ni guión
                  </label>
                  <div class="input-group form-group">
                    <input type="text" class="form-control" placeholder="Ej: 11111111-1" id="rut" name="rut" required>
                  </div>
                  <div class="form-group text-center">
                    <button type="submit" class="btn yellow_ext_btn" id="btn_inicio">Comprobar deuda</button>
                    <button hidden type="button" class="btn yellow_ext_btn" id="btn_nodebt">Ingresar otro RUT</button>
                  </div>
                </form>
                <!-- Informacion deuda -->
                <!-- <div hidden id="hidden-info">
                  <div id="debt-info">
                    <h4 class="caption-title"><b>Su deuda actual es</b></h4>
                    <div class="debt">
                      <h3 id="debt"></h3>
                    </div>
                  </div>
                  
                  <div id="payment-options">
                    <h4 class="caption-title"><b>Pagar con</b></h4>
                    <button class="btn yellow_btn" id="btn_paypal">Paypal</button>
                  </div>
                </div> -->

                <div hidden id="hidden-nodebt-info">
                  <div class="debt">
                    <h3>No tienes deudas por aquí.</h3>
                  </div>
                  <h4 class="caption-title"><b>¡Sigue disfrutanto de nuestros servicios!</b></h4>
                </div>
                
                {% if show_webpay %}
                <div hidden id="hidden-private">
                  <div class="debt">
                    <h6 style="font-size: 14px;">Estas en modo incógnito, si deseas pagar por Webpay no puedes estar en incógnito.</h6>
                  </div>  
                </div>
                {% endif %}
              </div>
              <div class="card-footer">
                <img src="{% static 'img/logo_bandaancha.png' %}">
              </div>
            </div>
          </div>
          
        </div>
        
        <!-- <div hidden id="hidden-paypal-info">
          <div id="paypal-button-container"></div>
        </div> -->
      </div>
      <div class="col"> </div>
    </div>
  </div>
  
  <div hidden id="invoices" class="card-invoices">
    <div class="card-header">
      <h1>Boletas pendientes</h1>
    </div>
    <div >
      <h3 align=left style="margin-left: 1%;" id="customer_name"></h3>
    </div>
    <div class="card-body-invoices">
      <table id="detail">
        <thead>
          <th>Número de Factura</th>
          <th>Descripción</th>
          <th>Subtotal</th>
          <th>Pagar</th>
        </thead>
        <tbody>
          <tr>
          </tr>
        </tbody>
      </table>

      <table id="total">
        <thead>
          <th></th>
          <th>Total</th>
        </thead>
        <tbody>
          <tr>
            <td></td>
            <td id="total"></td>
          </tr>
          <tr>
            <td></td>
            <td><button class="btn yellow_btn" id="btn_pay">Pagar</button></td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  <div hidden id="payment-options" class="button-container">
    <h4 class="caption-title"><b>Pagar con</b></h4>
    <div class="row">
      {%if show_webpay %}
      <div class="col" id="hidden-webpay">
        <form id="webpay_form" method="post" role="form"> 
          {% csrf_token %}
          <input type="hidden" id="token_form" name="token_ws" value="" />
        </form>
        <button class="btn yellow_webpay_btn" id="btn_webpay" ><img src="{% static 'img/webpayplus.png' %}"></button>
      </div>
      {% endif %}
      <div class="col">
        <div id="hidden-paypal-info">
          <div id="paypal-button-container"></div>
        </div>
      </div>
       <!--
      <div class="col">
        <button class="btn yellow_btn">Metodo 3</button>
      </div>
      -->
    </div>
  </div>

  <div>
    <button hidden class="btn yellow_static_btn" id="btn_reinicio">Salir</button>
  </div>

  <div class="modal fade" id="modal-spinner" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">
          <center>
            <img src="{% static 'img/spinnerMD.gif' %}">
          </center>
          <br>
          <!-- <p style="color:gray" class="lead">Su pago está siendo procesado, por favor no cierre ni refresque la página.</p> -->
          <p id="text-spinner" style="color:gray" class="lead"></p>
        </div>
      </div>
    </div>
  </div>

  <!-- ================== BEGIN BASE JS ================== -->
  <script src="{% static 'plugins/jquery/jquery-3.3.1.min.js' %}"></script>
  <script src="{% static 'plugins/jquery/jquery-migrate-1.1.0.min.js' %}"></script>
  <script src="{% static 'plugins/bootstrap/4.1.3/js/bootstrap.bundle.min.js' %}"></script>
  <script src="{% static 'plugins/bootstrap-sweetalert/sweetalert.min.js' %}"></script>
  <script src="{% static 'plugins/axios/axios.min.js' %}"></script>
  <script src="/config_django.js"></script>
  <script
    src="https://www.paypal.com/sdk/js?client-id={{client_id}}&currency={{paypal_currency}}"> 
    // cambiar para que cliend-id sea el de settings, por ahora currency es USD
  </script>
  <script src="{% static 'scripts/common.js' %}"></script>
  <script src="{% static 'scripts/inicio.js' %}"></script>
</body>
</html>